## js-build-tools 113.33.04

=== Makefile ===
# Generic Makefile for oasis project

SETUP := setup.exe
NAME := js-build-tools
PREFIX = $(shell grep ^prefix= setup.data | cut -d\" -f 2)

# Default rule
default: build

setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	for f in setup.*; do [ $$f = $@ -o $$f = setup.ml ] || rm -f $$f; done

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)
	$(MAKE) $(NAME).install

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)
	$(MAKE) $(NAME).install

$(NAME).install: install.ml setup.log setup.data
	ocaml -I "$(OCAML_TOPLEVEL_PATH)" install.ml

install: $(NAME).install
	opam-installer -i --prefix $(PREFIX) $(NAME).install

uninstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install

reinstall: $(NAME).install
	opam-installer -u --prefix $(PREFIX) $(NAME).install &> /dev/null || true
	opam-installer -i --prefix $(PREFIX) $(NAME).install

bin.tar.gz: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	tar czf bin.tar.gz -C _install .
	rm -rf _install

bin.lzo: $(NAME).install
	rm -rf _install
	mkdir _install
	opam-installer -i --prefix _install $(NAME).install
	cd _install && lzop -1 -P -o ../bin.lzo `find . -type f`
	rm -rf _install

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
js-build-tools (113.33.04-2build3) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:22:22 +0000

js-build-tools (113.33.04-2build2) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Sep 2019 11:43:24 +0200

js-build-tools (113.33.04-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:47:03 +0200

js-build-tools (113.33.04-2) unstable; urgency=medium

  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2017 08:00:13 +0200

js-build-tools (113.33.04-1) unstable; urgency=low

  * Initial release (Closes: #832174)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jul 2016 13:22:06 +0200

=== debian/control ===
Source: js-build-tools
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox,
 ocaml-findlib,
 ocamlbuild,
 opam,
 dh-ocaml
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/js-build-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/js-build-tools.git
Homepage: http://janestreet.github.io/

Package: libjs-build-tools-ocaml-dev
Provides:
 ${ocaml:Provides}
Architecture: any
Depends:
 ocaml-findlib,
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: collection of tools to help building Jane Street Packages
 This package contains tools to help building Jane Street
 Packages. However most of it is general purpose. It contains:
  * an oasis2opam-install tool to produce a .install file from the
    oasis build log;
  * an js_build_tools ocamlbuild plugin with various goodies.

=== debian/watch ===
version=3
opts=uversionmangle=s/-rc/~rc/ https://github.com/janestreet/js-build-tools/tags /.*/archive/([\d\.\-rc]+)\.tar\.gz
